public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-myclabs-deep-copy] f44: v1.14.0
@ 2026-08-11 13:03 Remi Collet
  0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-08-11 13:03 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : rpms/php-myclabs-deep-copy
            Branch : f44
            Commit : af07f726fa6b74b48144b858ee8828b39dfde433
            Author : Remi Collet <remi@fedoraproject.org>
            Date   : 2026-08-11T15:03:01+02:00
            Stats  : +34/-37 in 4 file(s)
            URL    : https://src.fedoraproject.org/rpms/php-myclabs-deep-copy/c/af07f726fa6b74b48144b858ee8828b39dfde433?branch=f44

            Log:
            v1.14.0

(cherry picked from commit 9effa871c2617d1dd7efc6ba3541f58d80efc76b)

---
diff --git a/.gitignore b/.gitignore
index 4d15ed5..a8d794a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -21,3 +21,4 @@ clog
 /php-myclabs-deep-copy-1.13.1-1720ddd.tgz
 /php-myclabs-deep-copy-1.13.3-faed855.tgz
 /php-myclabs-deep-copy-1.13.4-07d290f.tgz
+/php-myclabs-deep-copy-1.14.0.tgz

diff --git a/makesrc.sh b/makesrc.sh
index 05a6054..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,26 +1,27 @@
 #!/bin/bash
 
-NAME=$(sed    -n '/^Name:/{s/.* //;p}'                  *.spec)
+NAME=$(basename $PWD)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
 VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
 
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
+else
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
-echo "Cloning..."
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+	echo "Cloning..."
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+	echo "Archiving..."
+	tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
 
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+	echo "Cleaning..."
+	rm -rf $PROJECT-$VERSION
 
-echo "Done."
+	echo "Done."
+fi

diff --git a/php-myclabs-deep-copy.spec b/php-myclabs-deep-copy.spec
index be45bd8..45a0d91 100644
--- a/php-myclabs-deep-copy.spec
+++ b/php-myclabs-deep-copy.spec
@@ -1,6 +1,6 @@
 # remirepo/fedora spec file for php-myclabs-deep-copy
 #
-# SPDX-FileCopyrightText:  Copyright 2015-2025 Remi Collet
+# SPDX-FileCopyrightText:  Copyright 2015-2026 Remi Collet
 # SPDX-License-Identifier: CECILL-2.1
 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 #
@@ -8,8 +8,6 @@
 #
 %bcond_without       tests
 
-%global gh_commit    07d290f0c47959fd5eed98c95ee5602db07e0b6a
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
 %global gh_owner     myclabs
 %global gh_project   DeepCopy
 %global c_project    deep-copy
@@ -17,41 +15,36 @@
 %global php_home     %{_datadir}/php
 
 Name:           php-myclabs-deep-copy%{major}
-Version:        1.13.4
-Release:        2%{?dist}
+Version:        1.14.0
+Release:        1%{?dist}
 
 Summary:        Create deep copies (clones) of your objects
 
 License:        MIT
 URL:            https://github.com/%{gh_owner}/%{gh_project}
 # git snashop to get upstream test suite
-Source0:        php-myclabs-deep-copy-%{version}-%{gh_short}.tgz
+Source0:        php-myclabs-deep-copy-%{version}.tgz
 Source1:        makesrc.sh
 
 BuildArch:      noarch
 %if %{with tests}
 # For tests
-BuildRequires:  php(language) >= 7.1
-BuildRequires:  php-reflection
-BuildRequires:  php-spl
+BuildRequires:  php(language)
 # From composer.json, "require-dev": {
 #        "doctrine/collections": "^1.6.8",
 #        "doctrine/common": "^2.13.3 || ^3.2.2",
 #        "phpspec/prophecy": "^1.10",
 #        "phpunit/phpunit": "^7.5.20 || ^8.5.23 || ^9.5.13"
-BuildRequires: (php-composer(phpspec/prophecy)     >= 1.10  with php-composer(phpspec/prophecy)     < 2)
 BuildRequires:  phpunit9 >= 9.5.13
 %endif
 # For autoloader
 BuildRequires:  php-fedora-autoloader-devel
 
 # From composer.json, "require": {
-#        "php": "^7.1 || ^8.0"
-Requires:       php(language) >= 7.1
+#        "php": "^7.1"
+Requires:       php(language)
 # From phpcompatinfo report for version 1.8.0
-Requires:       php-reflection
-Requires:       php-date
-Requires:       php-spl
+# Only date, reflection and spl
 # Required by autoloader
 Requires:       php-composer(fedora/autoloader)
 
@@ -64,7 +57,7 @@ It is designed to handle cycles in the association graph.
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 
 
 %build
@@ -88,17 +81,16 @@ cat << 'EOF' | tee vendor/autoload.php
 require '%{buildroot}%{php_home}/%{gh_project}%{major}/autoload.php';
 \Fedora\Autoloader\Autoload::addPsr4('DeepCopy\\', dirname(__DIR__).'/fixtures/');
 \Fedora\Autoloader\Autoload::addPsr4('DeepCopyTest\\', dirname(__DIR__).'/tests/DeepCopyTest/');
-\Fedora\Autoloader\Dependencies::required([
-    '%{php_home}/Prophecy/autoload.php',
-]);
 EOF
 
-# disable doctrine related tests
+# Drop doctrine related tests
 rm -r tests/DeepCopyTest/Matcher/Doctrine \
       tests/DeepCopyTest/Filter/Doctrine
+# Drop tests using phpspec/prophecy
+rm tests/DeepCopyTest/TypeFilter/Spl/ArrayObjectFilterTest.php
 
 ret=0
-for cmd in php php81 php82 php83 php84 php85; do
+for cmd in php php80 php81 php82 php83 php84 php85 php86; do
   if which $cmd; then
     $cmd -d auto_prepend_file=vendor/autoload.php \
        %{_bindir}/phpunit9 \
@@ -120,6 +112,9 @@ exit $ret
 
 
 %changelog
+* Tue Aug 11 2026 Remi Collet <remi@remirepo.net> - 1.14.0-1
+- update to 1.14.0
+
 * Sat Jan 17 2026 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild
 

diff --git a/sources b/sources
index e877c82..5c41d9e 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-myclabs-deep-copy-1.13.4-07d290f.tgz) = 55aa59cc771d149297fb70692554b5809bd3e8785e281549c3246f36b2b305eb474e2e43fc9dae88b066d5e58c98b55f3691659fa60a9f72f26e0071c9982a7c
+SHA512 (php-myclabs-deep-copy-1.14.0.tgz) = e08bc6083ba9d344a3f85971d6cc811aa5a240863a714a4e1640576ec18d1ae8190f9018c55b2ed03ea24950db011d047aad700a99907263f06f323410767b62

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-11 13:03 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-11 13:03 [rpms/php-myclabs-deep-copy] f44: v1.14.0 Remi Collet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox